
Name:		sanoid
Version:	2.2.0
Release:	2%{?dist}
BuildArch:	noarch
Summary:	A policy-driven snapshot management tool for ZFS filesystems

Group:		Applications/System
License:	GPLv3
URL:		https://github.com/jimsalterjrs/sanoid
Source0:	https://github.com/jimsalterjrs/sanoid/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Requires:	perl
Requires:	perl(Capture::Tiny)
Requires:	perl(Config::IniFiles)
Requires:	pv
Requires:	mbuffer
Requires:	lzop
Requires:	lz4

%description
Sanoid is a policy-driven snapshot management
tool for ZFS filesystems. You can use Sanoid
to create, automatically thin, and monitor snapshots
and pool health from a single eminently
human-readable TOML config file.

%prep
%setup -q -n sanoid-%{version}

%build

%install
%{__install} -D -m 0644 sanoid.defaults.conf %{buildroot}/etc/sanoid/sanoid.defaults.conf
%{__install} -d %{buildroot}%{_sbindir}
%{__install} -m 0755 sanoid syncoid findoid sleepymutex %{buildroot}%{_sbindir}
%{__install} -D -m 0644 sanoid.conf examples/sanoid.conf
echo "* * * * * root %{_sbindir}/sanoid --cron" > examples/sanoid.cron

%files
%doc CHANGELIST LICENSE VERSION README.md examples
%{_sbindir}/sanoid
%{_sbindir}/syncoid
%{_sbindir}/findoid
%{_sbindir}/sleepymutex
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/sanoid.defaults.conf

%changelog
* Mon Jun 10 2024 Greg Wildman <greg@techno.co.za> - 2.2.0-2
- Added lz4 as requirement.

* Mon Oct 16 2023 Greg Wildman <greg@techno.co.za> - 2.2.0-1
- Updated version.

* Tue Jul 26 2022 Greg Wildman <greg@techno.co.za> - 2.1.0-1
- Updated version.

* Sat Jun 20 2020 Greg Wildman <greg@techno.co.za> - 2.0.3-2
- Add perl module requirement.

* Thu Mar 12 2020 Greg Wildman <greg@techno.co.za> - 2.0.3-1
- Update version.

* Thu Sep 26 2019 Greg Wildman <greg@techno.co.za> - 2.0.2-2
- Require missing perl module.

* Thu Sep 26 2019 Greg Wildman <greg@techno.co.za> - 2.0.2-1
- Update version.

* Mon Jan 21 2019 Greg Wildman <greg@techno.co.za> - 2.0.1-1
- Update version.

* Thu May 24 2018 Greg Wildman <greg@techno.co.za> - 1.4.18-1
- Update version.

* Tue Jan 31 2017 Greg Wildman <greg@techno.co.za> - 1.4.7-2
- Update source. Include required packages

* Sat Feb 13 2016 Thomas M. Lapp <tmlapp@gmail.com> - 1.4.4-1
- Initial RPM Package
